set S;
set D;

param supply {S} >= 0;
param demand {D} >= 0;

param cost {S,D} >= 0;

var Transport {S,D} >= 0;

minimize Total_Cost: sum {s in S, d in D} Transport[s,d] * cost[s,d];

subject to Supply {s in S}: sum {d in D} Transport[s,d] = supply[s];
subject to Demand {d in D}: sum {s in S} Transport[s,d] = demand[d];
